package jj.tech.paolu.biz.webadmin.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;

public class Idc9998AdminAddVo {
	//public Integer status;
	@Schema(description = "采集管理员账号")
	@NotBlank(message = "管理员不能为空")
	public String manager_name;
	
	public String member_name;
	
	@Schema(description = "采集用户密码")
	@NotBlank(message = "采集用户不能为空")
	public String user_name;
	
	@Schema(description = "密码")
	@NotBlank(message = "密码不能为空")
	private String user_password;
	
	@Schema(description = "网站域名或者IP,无须/")
	@NotBlank(message = "网站不能为空")
	private String domain;
	
	@Schema(description = "0不选择, 1选择")
	public Integer g_24;
	public Integer g_29;
	public Integer g_30;
	public Integer g_31;
	public Integer g_35;
	public Integer g_37;
	
	
	
	public String getManager_name() {
		return manager_name;
	}
	public void setManager_name(String manager_name) {
		this.manager_name = manager_name;
	}
	public String getMember_name() {
		return member_name;
	}
	public void setMember_name(String member_name) {
		this.member_name = member_name;
	}
	public String getUser_name() {
		return user_name;
	}
	public void setUser_name(String user_name) {
		this.user_name = user_name;
	}
	public String getUser_password() {
		return user_password;
	}
	public void setUser_password(String user_password) {
		this.user_password = user_password;
	}
	public String getDomain() {
		return domain;
	}
	public void setDomain(String domain) {
		this.domain = domain;
	}
	public Integer getG_24() {
		return g_24;
	}
	public void setG_24(Integer g_24) {
		this.g_24 = g_24;
	}
	public Integer getG_29() {
		return g_29;
	}
	public void setG_29(Integer g_29) {
		this.g_29 = g_29;
	}
	public Integer getG_30() {
		return g_30;
	}
	public void setG_30(Integer g_30) {
		this.g_30 = g_30;
	}
	public Integer getG_31() {
		return g_31;
	}
	public void setG_31(Integer g_31) {
		this.g_31 = g_31;
	}
	public Integer getG_35() {
		return g_35;
	}
	public void setG_35(Integer g_35) {
		this.g_35 = g_35;
	}
	public Integer getG_37() {
		return g_37;
	}
	public void setG_37(Integer g_37) {
		this.g_37 = g_37;
	}
	
	
	
}
